# Driver(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``Driver`(bpy_struct)

  Driver for the value of a setting based on an external value

  `expression`

    Expression to use for Scripted Expression

    Type: | string, default “”, (never None)

  `is_valid`

    Driver could not be evaluated in past, so should be skipped

    Type: | boolean, default False

  `show_debug_info`

    Show intermediate values for the driver calculations to allow debugging of drivers

    Type: | boolean, default False

  `type`

    Driver type

    Type: | enum in [‘AVERAGE’, ‘SUM’, ‘SCRIPTED’, ‘MIN’, ‘MAX’], default ‘AVERAGE’

  `variables`

    Properties acting as inputs for this driver

    Type: | `ChannelDriverVariables` `bpy_prop_collection` of `DriverVariable`, (readonly)

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`FCurve.driver` |